aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
Diffstat (limited to 'community')
-rw-r--r--community/docker/APKBUILD58
-rw-r--r--community/docker/docker-gitcommit.patch28
-rw-r--r--community/docker/runc-0001-nsexec-fix-build-against-musl-libc.patch46
3 files changed, 29 insertions, 103 deletions
diff --git a/community/docker/APKBUILD b/community/docker/APKBUILD
index fb98b166eb..c2cad23136 100644
--- a/community/docker/APKBUILD
+++ b/community/docker/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Eivind Uggedal <eivind@uggedal.com>
pkgname=docker
-pkgver=1.11.2
+pkgver=1.12.0
_ver=${pkgver/_/-}
pkgrel=0
_gitcommit=v$_ver
@@ -14,9 +14,12 @@ makedepends="go sqlite-dev btrfs-progs-dev bash linux-headers coreutils libsecco
options="!strip"
install="$pkgname.pre-install"
+# grep 'ENV.*COMMIT' Dockerfile.simple
+# ENV RUNC_COMMIT cc29e3dded8e27ba8f65738f40d251c885030a28
+# ENV CONTAINERD_COMMIT 0ac3cd1be170d180b2baed755e8f0da547ceb267
-_runc_ver=0.1.1
-_containerd_ver=0.2.1
+_runc_ver=cc29e3dded8e27ba8f65738f40d251c885030a28
+_containerd_ver=0ac3cd1be170d180b2baed755e8f0da547ceb267
subpackages="
$pkgname-bash-completion:bashcomp
@@ -25,13 +28,10 @@ subpackages="
"
source="
$pkgname-$pkgver.tar.gz::https://github.com/docker/docker/archive/v$_ver.tar.gz
- runc-$_runc_ver.tar.gz::https://github.com/opencontainers/runc/archive/v$_runc_ver.tar.gz
- containerd-$_containerd_ver.tar.gz::https://github.com/docker/containerd/archive/v$_containerd_ver.tar.gz
+ runc-$_runc_ver.tar.gz::https://github.com/opencontainers/runc/archive/$_runc_ver.tar.gz
+ containerd-$_containerd_ver.tar.gz::https://github.com/docker/containerd/archive/$_containerd_ver.tar.gz
docker-openrc-fixes.patch
- docker-gitcommit.patch
-
- runc-0001-nsexec-fix-build-against-musl-libc.patch
"
builddir="$srcdir"/$pkgname-$_ver
@@ -74,11 +74,11 @@ build() {
cd "$_containerd_builddir" || return 1
mkdir -p src/github.com/docker/
ln -s "$_containerd_builddir" src/github.com/docker/containerd
- GOPATH="$PWD" LDFLAGS="" make GIT_COMMIT="v$_containerd_ver" || return 1
+ GOPATH="$PWD" LDFLAGS="" make GIT_COMMIT="$_containerd_ver" || return 1
# runc
cd "$_runc_builddir" || return 1
- GOPATH="$PWD" make COMMIT="v$_runc_ver" || return 1
+ GOPATH="$PWD" make COMMIT="$_runc_ver" || return 1
# docker
cd "$builddir"
@@ -89,9 +89,15 @@ package() {
cd "$builddir"
local ver=$(cat VERSION)
- install -Dm755 bundles/$ver/dynbinary/docker-$ver \
+ install -Dm755 bundles/$ver/dynbinary-client/docker-$ver \
"$pkgdir"/usr/bin/docker || return 1
+ install -Dm755 bundles/$ver/dynbinary-daemon/dockerd-$ver \
+ "$pkgdir"/usr/bin/dockerd || return 1
+
+ install -Dm755 bundles/$ver/dynbinary-daemon/docker-proxy-$ver \
+ "$pkgdir"/usr/bin/docker-proxy || return 1
+
install -Dm755 "$_runc_builddir"/runc \
"$pkgdir"/usr/bin/docker-runc || return 1
@@ -144,21 +150,15 @@ vim() {
done
}
-md5sums="ada4a756f71886049ad793cab8787de8 docker-1.11.2.tar.gz
-d9aaf37331c36e89365b72aac4101fb0 runc-0.1.1.tar.gz
-dfd6e08dd02d52826878fca67bc000e4 containerd-0.2.1.tar.gz
-506e32a6157a7f92e67511111fba6fe8 docker-openrc-fixes.patch
-48b59f53f4a288611775df3c21bd7ba6 docker-gitcommit.patch
-0c30db28eaccc5489a11b530ec0a4f7b runc-0001-nsexec-fix-build-against-musl-libc.patch"
-sha256sums="55798b258341969bea6cfc4619f00c4068695da80c800c00d10b73b3c8d522f8 docker-1.11.2.tar.gz
-f9955daed1e73e842b2f28a258fba51f4e72a6b4b64cc3fc06415481d55ce000 runc-0.1.1.tar.gz
-f9dfeaba17064f279a7dfe89f0ef6763ee45b0a57c03aa423da2af340fba198d containerd-0.2.1.tar.gz
-864d229e21dfa6c931b29b908093302a48837ddb1aa4205088f6f7fd4d7da4e3 docker-openrc-fixes.patch
-a81bd65cdc9eab276de78d639a907ca5de3e96c5697d18bb37367fd525500684 docker-gitcommit.patch
-a0ed2085c759a51acb1be56880655423156130fad3064f6f800b6a9c56144b78 runc-0001-nsexec-fix-build-against-musl-libc.patch"
-sha512sums="4075bdf38a6968cbd3967041fb81651909df8f3abc3a3c743e5d97622f95ce0f28877e5ded5d1d6c22fb87b853777e4ac8073222f49feaa0b661386dc7555ea9 docker-1.11.2.tar.gz
-074482636fd2342c490c450d7a379cd14cd6c7b1ec6109cf729c4b451cc8cfb0e6b286d0df8e0cc0dba7b24d63d12bd5978013e08301a785db5e4280c595fdaa runc-0.1.1.tar.gz
-18f9c824c099220f36b114ac4644f3390791381642bf4cebe47c4c6d4a4299a5b89a7cbd4e01bb5e56c49d42c89b1621d3ba5c1a42bbed7dd2007689fa356457 containerd-0.2.1.tar.gz
-1162f62e8a7a5ded0c54cfe46014449efd67491bdb678fa22862117adb08206c909a3f98b0062125d25256dc1f48596b696bd4b19a8804d2862e758678a8bb62 docker-openrc-fixes.patch
-deaa18afae793167cfbc7f0b4c7f94db237a9bbabb217201e84dc19849ffbc3473f13d4d28a3692325b5a08758db6563ff310cb6b8dc862fc9f41c84f79e6dad docker-gitcommit.patch
-baedd5b3b45465d70b18c78688db48a35015ad2db5a1ad20c06c21a3b0146f634a0910c215ade7035e4c61f9f140410be7ff9d1cb142af067e09f3844796049f runc-0001-nsexec-fix-build-against-musl-libc.patch"
+md5sums="7990440b022e93f3e7036bcfd12970f2 docker-1.12.0.tar.gz
+716d0b284ce42490eeb83befba10fafb runc-cc29e3dded8e27ba8f65738f40d251c885030a28.tar.gz
+f0a0c1101ad259b84fb457c8c7036723 containerd-0ac3cd1be170d180b2baed755e8f0da547ceb267.tar.gz
+506e32a6157a7f92e67511111fba6fe8 docker-openrc-fixes.patch"
+sha256sums="f8139acba98248eb1fdb0b6d94efee89b876f9a50d00e263dc144fd2b0c372d4 docker-1.12.0.tar.gz
+196b78c6caf1a4c6257314b393381baffa7c82bb2690ac02a7b3d6cd6cfe7776 runc-cc29e3dded8e27ba8f65738f40d251c885030a28.tar.gz
+5c1bcd8e3b7bc6034e7523b6eca7de974562b7fdc72c440494234ae10a0e545b containerd-0ac3cd1be170d180b2baed755e8f0da547ceb267.tar.gz
+864d229e21dfa6c931b29b908093302a48837ddb1aa4205088f6f7fd4d7da4e3 docker-openrc-fixes.patch"
+sha512sums="113707c0447bc096dc59204a1666b9f3a4e92d0ad89f016a0259734d6eee47861d5a6b1febab61f357212f0b4ffceea7ed3a53f883a748604aeb65bb5701413b docker-1.12.0.tar.gz
+0bf8ce3bb15caaf09214f23a411003fd5b660d291662ad513c3d944647a0fa9b270d18902706b7e6aa3c30eb0f676e73af46b8249d1e2484e1dc40d6ffd5a80d runc-cc29e3dded8e27ba8f65738f40d251c885030a28.tar.gz
+a47200c2f867d6624e51eb1aa83743f1e0b86d96d462b7649c240f335eb72e499a00923e190759e57d4c456d912f9541750e9df21ebc2b713b87bea1ead55e7b containerd-0ac3cd1be170d180b2baed755e8f0da547ceb267.tar.gz
+1162f62e8a7a5ded0c54cfe46014449efd67491bdb678fa22862117adb08206c909a3f98b0062125d25256dc1f48596b696bd4b19a8804d2862e758678a8bb62 docker-openrc-fixes.patch"
diff --git a/community/docker/docker-gitcommit.patch b/community/docker/docker-gitcommit.patch
deleted file mode 100644
index 0a7ccf8a2c..0000000000
--- a/community/docker/docker-gitcommit.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-From 355ad33087c1c683458b60a6bc9e1f89623ee275 Mon Sep 17 00:00:00 2001
-From: Natanael Copa <natanael.copa@docker.com>
-Date: Thu, 14 Apr 2016 17:29:12 +0200
-Subject: [PATCH] Fix detection of git commit during build from tarball
-
-Distro packagers will often use the tarball to build a package and have
-the build script for the package in git. To avoid that the docker build
-script picks up the git commit from the distro repo we also check for a
-directory named .git before check for -unsupported builds.
-
-Signed-off-by: Natanael Copa <natanael.copa@docker.com>
----
- hack/make.sh | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/hack/make.sh b/hack/make.sh
-index 58561e2..41a53f6 100755
---- a/hack/make.sh
-+++ b/hack/make.sh
-@@ -79,7 +79,7 @@ DEFAULT_BUNDLES=(
- )
-
- VERSION=$(< ./VERSION)
--if command -v git &> /dev/null && git rev-parse &> /dev/null; then
-+if command -v git &> /dev/null && [ -d .git ] && git rev-parse &> /dev/null; then
- GITCOMMIT=$(git rev-parse --short HEAD)
- if [ -n "$(git status --porcelain --untracked-files=no)" ]; then
- GITCOMMIT="$GITCOMMIT-unsupported"
diff --git a/community/docker/runc-0001-nsexec-fix-build-against-musl-libc.patch b/community/docker/runc-0001-nsexec-fix-build-against-musl-libc.patch
deleted file mode 100644
index 04bf0f8909..0000000000
--- a/community/docker/runc-0001-nsexec-fix-build-against-musl-libc.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From ac6bd953192fa6752a07be7501f69f7cffe33e8e Mon Sep 17 00:00:00 2001
-From: Natanael Copa <natanael.copa@docker.com>
-Date: Tue, 19 Apr 2016 10:43:00 +0200
-Subject: [PATCH] nsexec: fix build against musl libc
-
-Remove a wrongly added include which was added in commit 3c2e77ee (Add a
-compatibility header for CentOS/RHEL 6, 2016-01-29) apparently to
-fix this compile error on centos 6:
-
-> In file included from
-> Godeps/_workspace/src/github.com/opencontainers/runc/libcontainer/nsenter/nsexec.c:20:
-> /usr/include/linux/netlink.h:35: error: expected specifier-qualifier-list before 'sa_family_t'
-
-The glibc bits/sockaddr.h says that this header should never be included
-directly[1]. Instead, sys/socket.h should be used.
-
-The problem was correctly fixed later, in commit 394fb55 (Fix build
-error on centos6, 2016-03-02) so the incorrect bits/sockaddr.h can
-safely be removed.
-
-This is needed to build musl libc.
-
-Fixes #761
-
-[1]: https://github.molgen.mpg.de/git-mirror/glibc/blob/20003c49884422da7ffbc459cdeee768a6fee07b/bits/sockaddr.h#L20
-
-Signed-off-by: Natanael Copa <natanael.copa@docker.com>
----
- libcontainer/nsenter/nsexec.c | 1 -
- 1 file changed, 1 deletion(-)
-
-diff --git a/libcontainer/nsenter/nsexec.c b/libcontainer/nsenter/nsexec.c
-index 8f37d6c..40a8f89 100644
---- a/libcontainer/nsenter/nsexec.c
-+++ b/libcontainer/nsenter/nsexec.c
-@@ -18,7 +18,6 @@
- #include <unistd.h>
- #include <grp.h>
-
--#include <bits/sockaddr.h>
- #include <linux/types.h>
-
- // All arguments should be above the stack because it grows down
---
-2.8.1
-